<!--- 
 Created 99-04-27
 Author:
 Stefan Vesterlund
 IT's Gellivare AB
 stefan.vesterlund@its.gellivare.se
 
 
This tag is for removing unwanted html (or cfml) tags from a string
Call it with the attrubutes STRING and TAG
If the tag is of unknown length, just put the identifier without
the ending bracket, ie "<font" instead of "<font>", then the tag will look 
for the ending bracket by itself.

You can also set for instance "<font color" as the tag attribute, then it 
will only remove the <font color="somecolor"> tags

The resulting string is delivered in the variable STRIPPEDSTRING


You have make another strip to remove the end tag.

Ex:

<cf_TagStrip
	string="#myTagRichString#"
	tag="<font"
	>

<cf_TagStrip
	string="#strippedString#"
	tag="</font>"
	>
	
<cfoutput>#htmleditformat(strippedstring)#</cfoutput>

--->
<cfparam name="attributes.string">
<cfparam name="attributes.tag">
<cfset taglen = len(attributes.tag)>

<cfif right(attributes.tag,1) is not ">">
	<cfset completed = "no">
<cfelse>
	<cfset completed = "yes">
</cfif>

<cfset orgstr = attributes.string>
<cfset start = 1>

<cfloop condition="start gt 0">

	<cfset start = FindNoCase(attributes.tag, orgstr)>
	<cfif start gt 0>
	<cfif completed is "yes">
		<cfset orgstr = RemoveChars(orgstr, start, taglen)>
	<cfelse>
		<cfset end = FindNoCase(">", orgstr, start)>
		<cfset orgstr = RemoveChars(orgstr, start, end-start+1)>
	</cfif>
	</cfif>
</cfloop>
<cfset caller.strippedstring=orgstr>