<cfset application_name = "FlexiForums">

<CFAPPLICATION 
	NAME="#application_name#" 
	CLIENTMANAGEMENT="Yes" 
	SESSIONMANAGEMENT="Yes" 
	APPLICATIONTIMEOUT="#CreateTimespan( 0, 1, 0, 0 )#" 
	SESSIONTIMEOUT="#CreateTimespan( 0, 1, 0, 0 )#">
	
<!--- this time is used for any date time values --->
<cfset flf_current_time = "#now()#">

<cfparam name="session.forum_login" default="0">
<cfparam name="session.forum_passwords" default="">
<cfparam name="application.load_setup_values" default="y">

<cfif application.load_setup_values is "y">

	<cflock scope="application" type="exclusive" timeout="10">
	
		<!--- datasource name --->
		<cfset application.flf_datasource = "flexiforums">
		
		<!--- values are : "default" or "mysql" --->
		<cfset application.flf_dbase = "default">
		
		<!--- change 2 lines below to suit local path --->
		<cfset application.flf_http_root="http://#http_host#/flexiforums/">
		<cfset application.flf_local_root="R:\apache2\htdocs\flexiforums\">
		<cfset application.flf_dyn_images_path="#application.flf_local_root#file_uploads\">
		<cfset application.flfdbase_username = "">
		<cfset application.flfdbase_password = "">
		
		<!--- you may specify a mail server here for all outgoing emails --->
		<cfset application.flf_mailserver = "">
	
	</cflock>

	<cfinclude template="application_settings.cfm">
	
</cfif>