<!--- 

upgrades values for older databases to support attachment count (for flexiforums 1.68 or higher)

written by : Riz Khan
date       : 4/2/2003

 --->

<cfquery name="set_image" datasource="#application.flf_datasource#" username="#application.flfdbase_username#" password="#application.flfdbase_password#">
UPDATE flf_posts
SET attachment = 0, attachment_count = 0
</cfquery>

<cfquery name="set_image" datasource="#application.flf_datasource#" username="#application.flfdbase_username#" password="#application.flfdbase_password#">
UPDATE flf_posts
SET attachment = 1
where image <> ''
</cfquery>

<cfquery name="get_parents" datasource="#application.flf_datasource#" username="#application.flfdbase_username#" password="#application.flfdbase_password#">
select id
from flf_posts
where id = parent_id
</cfquery>

<cfoutput query="get_parents">

	<cfquery name="get_image_count" datasource="#application.flf_datasource#" username="#application.flfdbase_username#" password="#application.flfdbase_password#">
	select id
	from
	flf_posts
	where parent_id = #get_parents.id# and image <> ''
	</cfquery>
	
	<cfquery name="set_image" datasource="#application.flf_datasource#" username="#application.flfdbase_username#" password="#application.flfdbase_password#">
	UPDATE flf_posts
	SET attachment_count = #get_image_count.recordcount#<cfif get_image_count.recordcount is not "0">, attachment = 1</cfif>
	where id = #get_parents.id#
	</cfquery>	

</cfoutput>

<cfquery name="update_setup" datasource="#application.flf_datasource#" username="#application.flfdbase_username#" password="#application.flfdbase_password#">
UPDATE flf_setup
SET attachment_icon = 'attachment.gif'
where attachment_icon = '' or attachment_icon is null
</cfquery>

<h2>Upgrade Successful!</h2>